Debian Bug report logs - #619117
perl 5.12 transition

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Julien Cristau <jcristau@debian.org>

Date: Mon, 21 Mar 2011 12:48:31 UTC

Owned by: perl@packages.debian.org

Severity: normal

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, perl@packages.debian.org, Debian Release Team <debian-release@lists.debian.org>, perl@packages.debian.org:
Bug#619117; Package release.debian.org. (Mon, 21 Mar 2011 12:48:34 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
New Bug report received and forwarded. Copy sent to perl@packages.debian.org, Debian Release Team <debian-release@lists.debian.org>, perl@packages.debian.org. (Mon, 21 Mar 2011 12:48:34 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: submit@bugs.debian.org
Subject: perl 5.12 transition
Date: Mon, 21 Mar 2011 13:42:48 +0100
Package: release.debian.org
Owner: perl@packages.debian.org
User: release.debian.org@packages.debian.org
Usertags: transition

On Sun, Mar 20, 2011 at 23:10:27 +0000, Dominic Hargreaves wrote:

> On Wed, Feb 23, 2011 at 07:40:26PM +0000, Dominic Hargreaves wrote:
> > I would like to register an interest in carrying out a perl transition
> > soon. This would be to perl 5.10.1 to 5.12.x (x = 3 currently). This
> > transition has already been in preparation for some time, and I think
> > we are in a good position to schedule this now. This is the first major
> > transition I've been involved in (I've recently become a co-maintainer
> > of the perl package), so please bear with me if I miss anything out.
> > You can see the transition tracking bugs at [1].
> 
> [snip rest of mail]
> 
> Hi,
> 
> I wondered whether anyone had had a chance to look at scheduling this
> in yet, of if there's a better way to go about this?
> 
Sorry, not yet.  Filing as a bug so we don't drop it.

Roughly how many packages does the move to 5.12 involve, and how many
would need source uploads?

Thanks,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, perl@packages.debian.org:
Bug#619117; Package release.debian.org. (Thu, 24 Mar 2011 18:21:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, perl@packages.debian.org. (Thu, 24 Mar 2011 18:21:08 GMT) Full text and rfc822 format available.

Message #10 received at 619117@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: Julien Cristau <jcristau@debian.org>, 619117@bugs.debian.org
Subject: Re: Bug#619117: perl 5.12 transition
Date: Thu, 24 Mar 2011 18:19:18 +0000
On Mon, Mar 21, 2011 at 01:42:48PM +0100, Julien Cristau wrote:
> On Sun, Mar 20, 2011 at 23:10:27 +0000, Dominic Hargreaves wrote:
> > I wondered whether anyone had had a chance to look at scheduling this
> > in yet, of if there's a better way to go about this?
> > 
> Sorry, not yet.  Filing as a bug so we don't drop it.
> 
> Roughly how many packages does the move to 5.12 involve, and how many
> would need source uploads?

As of today, it looks like 458 binNMUs; there are no source uploads which
need to be coordinated that I am aware of.

Dominic.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, perl@packages.debian.org:
Bug#619117; Package release.debian.org. (Wed, 30 Mar 2011 13:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, perl@packages.debian.org. (Wed, 30 Mar 2011 13:45:03 GMT) Full text and rfc822 format available.

Message #15 received at 619117@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: 619117@bugs.debian.org
Cc: debian-wb-team@lists.debian.org
Subject: Re: Bug#619117: perl 5.12 transition
Date: Wed, 30 Mar 2011 15:34:17 +0200
On Wed, Feb 23, 2011 at 07:40:26PM +0000, Dominic Hargreaves wrote:
> I would like to register an interest in carrying out a perl transition
> soon. This would be to perl 5.10.1 to 5.12.x (x = 3 currently). This
> transition has already been in preparation for some time, and I think
> we are in a good position to schedule this now. This is the first major
> transition I've been involved in (I've recently become a co-maintainer
> of the perl package), so please bear with me if I miss anything out.
> You can see the transition tracking bugs at [1].

One thing that came up is that we need to make sure all sid buildd
chroots have debconf-english installed and not debconf-i18n before that
happens (debconf-i18n depends on liblocale-gettext-perl, which depends
on perlapi-5.10.0).  Cc:-ing debian-wb-team so this can be handled
before the perl transition.

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, perl@packages.debian.org:
Bug#619117; Package release.debian.org. (Wed, 30 Mar 2011 13:48:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, perl@packages.debian.org. (Wed, 30 Mar 2011 13:48:09 GMT) Full text and rfc822 format available.

Message #20 received at 619117@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Cyril Brulebois <kibi@debian.org>
Cc: 619117@bugs.debian.org, debian-wb-team@lists.debian.org
Subject: Re: Bug#619117: perl 5.12 transition
Date: Wed, 30 Mar 2011 15:46:17 +0200
On Wed, Mar 30, 2011 at 15:42:56 +0200, Cyril Brulebois wrote:

> Julien Cristau <jcristau@debian.org> (30/03/2011):
> > One thing that came up is that we need to make sure all sid buildd
> > chroots have debconf-english installed and not debconf-i18n before
> > that happens (debconf-i18n depends on liblocale-gettext-perl, which
> > depends on perlapi-5.10.0).  Cc:-ing debian-wb-team so this can be
> > handled before the perl transition.
> 
> I guess we want to make sure sid chroots have the proper packages, but
> experimental ones as well (so that test-builds are actually useful,
> should they be needed), as well as wheezy chroots, for the future
> t-p-u uploads?
> 
Just sid should be enough.  Wheezy should never see the combination of
perl 5.12 and perl modules built for 5.10 anyway.

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, perl@packages.debian.org:
Bug#619117; Package release.debian.org. (Wed, 30 Mar 2011 14:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, perl@packages.debian.org. (Wed, 30 Mar 2011 14:03:06 GMT) Full text and rfc822 format available.

Message #25 received at 619117@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Julien Cristau <jcristau@debian.org>
Cc: 619117@bugs.debian.org, debian-wb-team@lists.debian.org
Subject: Re: Bug#619117: perl 5.12 transition
Date: Wed, 30 Mar 2011 15:42:56 +0200
[Message part 1 (text/plain, inline)]
Julien Cristau <jcristau@debian.org> (30/03/2011):
> One thing that came up is that we need to make sure all sid buildd
> chroots have debconf-english installed and not debconf-i18n before
> that happens (debconf-i18n depends on liblocale-gettext-perl, which
> depends on perlapi-5.10.0).  Cc:-ing debian-wb-team so this can be
> handled before the perl transition.

I guess we want to make sure sid chroots have the proper packages, but
experimental ones as well (so that test-builds are actually useful,
should they be needed), as well as wheezy chroots, for the future
t-p-u uploads?

Just wondering which chroots to check, I'd like to avoid doing grunt
work too many times.

KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, perl@packages.debian.org:
Bug#619117; Package release.debian.org. (Fri, 01 Apr 2011 09:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, perl@packages.debian.org. (Fri, 01 Apr 2011 09:33:08 GMT) Full text and rfc822 format available.

Message #30 received at 619117@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: Julien Cristau <jcristau@debian.org>
Cc: 619117@bugs.debian.org, debian-wb-team@lists.debian.org
Subject: Re: Bug#619117: perl 5.12 transition
Date: Fri, 1 Apr 2011 10:56:19 +0200
On Wed, Mar 30, 2011 at 03:34:17PM +0200, Julien Cristau wrote:
> On Wed, Feb 23, 2011 at 07:40:26PM +0000, Dominic Hargreaves wrote:
> > I would like to register an interest in carrying out a perl transition
> > soon. This would be to perl 5.10.1 to 5.12.x (x = 3 currently). This
> > transition has already been in preparation for some time, and I think
> > we are in a good position to schedule this now. This is the first major
> > transition I've been involved in (I've recently become a co-maintainer
> > of the perl package), so please bear with me if I miss anything out.
> > You can see the transition tracking bugs at [1].
> 
> One thing that came up is that we need to make sure all sid buildd
> chroots have debconf-english installed and not debconf-i18n before that
> happens (debconf-i18n depends on liblocale-gettext-perl, which depends
> on perlapi-5.10.0).  Cc:-ing debian-wb-team so this can be handled
> before the perl transition.
> 

Done for the sid chroots of the kfreebsd build daemons.

-- 
Aurelien Jarno	                        GPG: 1024D/F1BCDB73
aurelien@aurel32.net                 http://www.aurel32.net




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, perl@packages.debian.org:
Bug#619117; Package release.debian.org. (Wed, 06 Apr 2011 18:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, perl@packages.debian.org. (Wed, 06 Apr 2011 18:27:04 GMT) Full text and rfc822 format available.

Message #35 received at 619117@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: Julien Cristau <jcristau@debian.org>
Cc: 619117@bugs.debian.org, debian-wb-team@lists.debian.org
Subject: Re: Bug#619117: perl 5.12 transition
Date: Wed, 6 Apr 2011 20:21:07 +0200
On Wed, Mar 30, 2011 at 03:34:17PM +0200, Julien Cristau wrote:
> On Wed, Feb 23, 2011 at 07:40:26PM +0000, Dominic Hargreaves wrote:
> > I would like to register an interest in carrying out a perl transition
> > soon. This would be to perl 5.10.1 to 5.12.x (x = 3 currently). This
> > transition has already been in preparation for some time, and I think
> > we are in a good position to schedule this now. This is the first major
> > transition I've been involved in (I've recently become a co-maintainer
> > of the perl package), so please bear with me if I miss anything out.
> > You can see the transition tracking bugs at [1].
> 
> One thing that came up is that we need to make sure all sid buildd
> chroots have debconf-english installed and not debconf-i18n before that
> happens (debconf-i18n depends on liblocale-gettext-perl, which depends
> on perlapi-5.10.0).  Cc:-ing debian-wb-team so this can be handled
> before the perl transition.

As far as I know all buildds except alkman now have
debconf-english installed.


Kurt





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, perl@packages.debian.org:
Bug#619117; Package release.debian.org. (Wed, 06 Apr 2011 18:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, perl@packages.debian.org. (Wed, 06 Apr 2011 18:39:07 GMT) Full text and rfc822 format available.

Message #40 received at 619117@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: Julien Cristau <jcristau@debian.org>
Cc: 619117@bugs.debian.org, debian-wb-team@lists.debian.org
Subject: Re: Bug#619117: perl 5.12 transition
Date: Wed, 6 Apr 2011 20:30:02 +0200
On Wed, Apr 06, 2011 at 08:21:07PM +0200, Kurt Roeckx wrote:
> On Wed, Mar 30, 2011 at 03:34:17PM +0200, Julien Cristau wrote:
> > On Wed, Feb 23, 2011 at 07:40:26PM +0000, Dominic Hargreaves wrote:
> > > I would like to register an interest in carrying out a perl transition
> > > soon. This would be to perl 5.10.1 to 5.12.x (x = 3 currently). This
> > > transition has already been in preparation for some time, and I think
> > > we are in a good position to schedule this now. This is the first major
> > > transition I've been involved in (I've recently become a co-maintainer
> > > of the perl package), so please bear with me if I miss anything out.
> > > You can see the transition tracking bugs at [1].
> > 
> > One thing that came up is that we need to make sure all sid buildd
> > chroots have debconf-english installed and not debconf-i18n before that
> > happens (debconf-i18n depends on liblocale-gettext-perl, which depends
> > on perlapi-5.10.0).  Cc:-ing debian-wb-team so this can be handled
> > before the perl transition.
> 
> As far as I know all buildds except alkman now have
> debconf-english installed.

alkman is done now too.


Kurt





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, perl@packages.debian.org:
Bug#619117; Package release.debian.org. (Wed, 20 Apr 2011 12:39:39 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, perl@packages.debian.org. (Wed, 20 Apr 2011 12:39:40 GMT) Full text and rfc822 format available.

Message #45 received at 619117@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: perl@packages.debian.org
Cc: 619117@bugs.debian.org
Subject: [jesse@fsck.com: Perl 5.14.0 Release Candidate 1]
Date: Wed, 20 Apr 2011 13:16:04 +0100
So, here we are.

I wouldn't mind getting initial packages prepared, to make sure there
are no complete showstoppers for Debian, but we do have something of
a problem in that there's only one experimental...

I wonder whether this is the time to give up with the perl 5.12
transition and make a start on the perl 5.14 one proper. I still think
that the best route would be to go via perl 5.12, so people have a
chance to see deprecation warnings for a bit before things break in 
perl 5.14, but based on the timescales I don't know whether that
is the best practical option any more. Based on activity at
<http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=619117> and
<http://release.debian.org/transitions/> (where perl isn't even listed
as planned) it doesn't like the perl 5.12 migration is likely to happen
any time soon.

Thoughts, anyone?

Dominic.

----- Forwarded message from Jesse Vincent <jesse@fsck.com> -----

Date: Wed, 20 Apr 2011 21:52:46 +1000
From: Jesse Vincent <jesse@fsck.com>
To: perl5-porters@perl.org
Subject: Perl 5.14.0 Release Candidate 1
X-Spam-Status: No, score=-6.9 required=5.0 tests=BAYES_00,RCVD_IN_DNSWL_HI,
	SPF_PASS autolearn=ham version=3.3.1
User-Agent: Mutt/1.5.21 (2010-09-15)
X-Bogosity: Ham, tests=bogofilter, spamicity=0.000000, version=1.2.2

	But then Australia is such a difficult country to keep track
	of. On my first visit, some years ago, I passed the time on
	the long flight reading a history of Australian politics in the
	twentieth century, wherein I encountered the startling fact that
	in 1967 the prime minister, Harold Holt, was strolling along a
	beach in Victoria when he plunged into the surf and vanished. No
	trace of the poor man was ever seen again.  This seemed doubly
	astounding to me—first that Australia could just _lose_  a
	prime minister (I mean, come on) and second that news of this
	had never reached me.

                         -- Bill Bryson,  /In a Sunburned Country/


I've just uploaded the first release candidate for Perl 5.14.0 to PAUSE.
Shortly, you'll find it at:

http://search.cpan.org/dist/perl-5.14.0-RC1/

SHA1 sums for this release are:

643d688909723aaedbaef67301779331b3d51381  perl-5.14.0-RC1.tar.bz2
ed6be1b0f09af7542df369af254b629dbf5a8b5c  perl-5.14.0-RC1.tar.gz

While we go to lengths to ensure that new versions of Perl don't break
existing programs, it does happen. It's really, really important that
we catch unintentional breakage BEFORE we release Perl 5.14.0.
It is imperative that you test this release candidate with any software
written in Perl which you use or maintain. 

Similarly, we test Perl on a variety of operating systems on a number of
platforms with several different compilers. If you're not 100% certain
that we're testing yours, NOW is the time to make sure that Perl 5.14.0
builds and passes its tests on your platform.

If no "showstopper" class bugs are found in the next 7 days, we will
release a virtually identical tarball as Perl 5.14.0 on Thursday, April
28, 2011.
    
Best,

Jesse



----- End forwarded message -----

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, perl@packages.debian.org:
Bug#619117; Package release.debian.org. (Wed, 20 Apr 2011 13:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@dogguy.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, perl@packages.debian.org. (Wed, 20 Apr 2011 13:09:03 GMT) Full text and rfc822 format available.

Message #50 received at 619117@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@dogguy.org>
To: Dominic Hargreaves <dom@earth.li>, 619117@bugs.debian.org
Cc: perl@packages.debian.org
Subject: Re: Bug#619117: [jesse@fsck.com: Perl 5.14.0 Release Candidate 1]
Date: Wed, 20 Apr 2011 15:08:21 +0200
On 20/04/2011 14:16, Dominic Hargreaves wrote:
> So, here we are.
> 
> I wouldn't mind getting initial packages prepared, to make sure there
> are no complete showstoppers for Debian, but we do have something of
> a problem in that there's only one experimental...
> 
> I wonder whether this is the time to give up with the perl 5.12
> transition and make a start on the perl 5.14 one proper. I still think
> that the best route would be to go via perl 5.12, so people have a
> chance to see deprecation warnings for a bit before things break in 
> perl 5.14, but based on the timescales I don't know whether that
> is the best practical option any more. Based on activity at
> <http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=619117> and
> <http://release.debian.org/transitions/> (where perl isn't even listed
> as planned) it doesn't like the perl 5.12 migration is likely to happen
> any time soon.
> 

http://release.debian.org/transitions doesn't list all planned transitions.
Some maintainers asked us to list their transition there, so that they have
the list of affected packages and they start preparing their transition. It
lists packages and creteria for every transitions, and people can use/see
them to see if their package are/will be affected by some transition.

The real list to look at is (IMHO):

	http://bugs.debian.org/cgi-bin/pkgreport.cgi?users=release.debian.org@packages.debian.org;tag=transition

So, definitely, not being listed on the transition tracker is not a sign
that we forgot about your transition :)

Looking at the current state of ongoing transitions, we might be able to
start the Perl 5.12 transition really soonish¹. Any remark/comment is
welcome.

¹: one month² max from now.
²: that's an _estimated_ upper bound :)

Regards,

-- 
Mehdi Dogguy مهدي الدڤي
http://dogguy.org/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, perl@packages.debian.org:
Bug#619117; Package release.debian.org. (Wed, 20 Apr 2011 14:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, perl@packages.debian.org. (Wed, 20 Apr 2011 14:36:06 GMT) Full text and rfc822 format available.

Message #55 received at 619117@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: Mehdi Dogguy <mehdi@dogguy.org>
Cc: 619117@bugs.debian.org
Subject: Re: Bug#619117: [jesse@fsck.com: Perl 5.14.0 Release Candidate 1]
Date: Wed, 20 Apr 2011 15:35:18 +0100
On Wed, Apr 20, 2011 at 03:08:21PM +0200, Mehdi Dogguy wrote:
> http://release.debian.org/transitions doesn't list all planned transitions.
> Some maintainers asked us to list their transition there, so that they have
> the list of affected packages and they start preparing their transition. It
> lists packages and creteria for every transitions, and people can use/see
> them to see if their package are/will be affected by some transition.

Aha, that makes sense. A small point perhaps, but maybe the preamble of
that page could make clearer that it's only a list of selected
transitions :)

We're tracking work to be done on the perl transition at
<http://bugs.debian.org/cgi-bin/pkgreport.cgi?tag=perl-5.12-transition;users=debian-perl@lists.debian.org> FWIW.

> The real list to look at is (IMHO):
> 
> 	http://bugs.debian.org/cgi-bin/pkgreport.cgi?users=release.debian.org@packages.debian.org;tag=transition
> 
> So, definitely, not being listed on the transition tracker is not a sign
> that we forgot about your transition :)
> 
> Looking at the current state of ongoing transitions, we might be able to
> start the Perl 5.12 transition really soonish¹. Any remark/comment is
> welcome.
> 
> ¹: one month² max from now.
> ²: that's an _estimated_ upper bound :)

I think that would be welcome from my points of view as perl maintainer.
The only concern I have is that it won't prejudice our chances of getting
perl 5.14 transitioned in good time too! I can't predict now how long
that will take to get ready, but in the steady state of one major perl
release a year I'd like to end up not lagging more than a few months
behind upstream. So perhaps we'd like to be asking for a perl 5.14
transition late summer of this year.

Having a rough indication of when you might be ready is good for us,
because it means I can focus efforts on fixing more transition bugs.
I have another round of mass-rebuild-log-processing to do at the moment.

I suppose the other question I have is: is there anything in our
current bug list (above) which would be a show-stopper from the
transition from your point of view? Obviously the more bugs we can get
cleared up beforehand, the better, but is there a certain threshold
you'd be looking for?

Dominic.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, perl@packages.debian.org:
Bug#619117; Package release.debian.org. (Wed, 20 Apr 2011 18:18:13 GMT) Full text and rfc822 format available.

Message #58 received at 619117@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dmn@debian.org>
To: 619117@bugs.debian.org
Cc: perl@packages.debian.org
Subject: Re: [jesse@fsck.com: Perl 5.14.0 Release Candidate 1]
Date: Wed, 20 Apr 2011 21:01:30 +0300
[Message part 1 (text/plain, inline)]
-=| Dominic Hargreaves, Wed, Apr 20, 2011 at 01:16:04PM +0100 |=-
> I wonder whether this is the time to give up with the perl 5.12
> transition and make a start on the perl 5.14 one proper. I still think
> that the best route would be to go via perl 5.12, so people have a
> chance to see deprecation warnings for a bit before things break in 
> perl 5.14

I wonder if this is that important. As it seems, 5.12 (and its 
deprecation warnings) will be skipped for people upgrading from 
squeeze to wheezy anyway.

Just a thought.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, perl@packages.debian.org:
Bug#619117; Package release.debian.org. (Wed, 20 Apr 2011 20:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, perl@packages.debian.org. (Wed, 20 Apr 2011 20:27:07 GMT) Full text and rfc822 format available.

Message #63 received at 619117@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: Damyan Ivanov <dmn@debian.org>, 619117@bugs.debian.org, perl@packages.debian.org
Subject: Re: Bug#619117: [jesse@fsck.com: Perl 5.14.0 Release Candidate 1]
Date: Wed, 20 Apr 2011 21:13:02 +0100
On Wed, Apr 20, 2011 at 09:01:30PM +0300, Damyan Ivanov wrote:
> -=| Dominic Hargreaves, Wed, Apr 20, 2011 at 01:16:04PM +0100 |=-
> > I wonder whether this is the time to give up with the perl 5.12
> > transition and make a start on the perl 5.14 one proper. I still think
> > that the best route would be to go via perl 5.12, so people have a
> > chance to see deprecation warnings for a bit before things break in 
> > perl 5.14
> 
> I wonder if this is that important. As it seems, 5.12 (and its 
> deprecation warnings) will be skipped for people upgrading from 
> squeeze to wheezy anyway.
> 
> Just a thought.

This is true, but it still seems kinder for maintainers of perl-related
packages to get a chance for their packages to get some use under
perl 5.12 before pulling the rug under them, as it were. Yes, we
probably won't catch a large number of stable-only users, but should
get a fair amount of coverage even so.

One other aspect is that we can't really predict with any certainty
when perl 5.14 packages will be ready. It would really suck to be shipping
wheezy with perl 5.10... (yes, this is an extreme case and I don't think
that would be very likely, but that helps illustrate why my gut instinct
is still to go for a perl 5.12 transition before a perl 5.14 transition).

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Added blocking bug(s) of 619117: 618871 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 28 Apr 2011 10:15:44 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, perl@packages.debian.org:
Bug#619117; Package release.debian.org. (Fri, 29 Apr 2011 11:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, perl@packages.debian.org. (Fri, 29 Apr 2011 11:33:04 GMT) Full text and rfc822 format available.

Message #70 received at 619117@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Dominic Hargreaves <dom@earth.li>, 619117@bugs.debian.org
Subject: Re: Bug#619117: perl 5.12 transition
Date: Fri, 29 Apr 2011 13:29:37 +0200
tag 619117 pending
kthxbye

On Thu, Mar 24, 2011 at 18:19:18 +0000, Dominic Hargreaves wrote:

> On Mon, Mar 21, 2011 at 01:42:48PM +0100, Julien Cristau wrote:
> > On Sun, Mar 20, 2011 at 23:10:27 +0000, Dominic Hargreaves wrote:
> > > I wondered whether anyone had had a chance to look at scheduling this
> > > in yet, of if there's a better way to go about this?
> > > 
> > Sorry, not yet.  Filing as a bug so we don't drop it.
> > 
> > Roughly how many packages does the move to 5.12 involve, and how many
> > would need source uploads?
> 
> As of today, it looks like 458 binNMUs; there are no source uploads which
> need to be coordinated that I am aware of.
> 
Ok, let's go ahead with this, if that's still your plan.  Sorry again
for the delay.

Cheers,
Julien




Added tag(s) pending. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Fri, 29 Apr 2011 11:33:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, perl@packages.debian.org:
Bug#619117; Package release.debian.org. (Fri, 29 Apr 2011 12:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, perl@packages.debian.org. (Fri, 29 Apr 2011 12:09:06 GMT) Full text and rfc822 format available.

Message #77 received at 619117@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: Julien Cristau <jcristau@debian.org>, 619117@bugs.debian.org
Subject: Re: Bug#619117: perl 5.12 transition
Date: Fri, 29 Apr 2011 13:08:04 +0100
On Fri, Apr 29, 2011 at 01:29:37PM +0200, Julien Cristau wrote:
> On Thu, Mar 24, 2011 at 18:19:18 +0000, Dominic Hargreaves wrote:
> 
> > On Mon, Mar 21, 2011 at 01:42:48PM +0100, Julien Cristau wrote:
> > > On Sun, Mar 20, 2011 at 23:10:27 +0000, Dominic Hargreaves wrote:
> > > > I wondered whether anyone had had a chance to look at scheduling this
> > > > in yet, of if there's a better way to go about this?
> > > > 
> > > Sorry, not yet.  Filing as a bug so we don't drop it.
> > > 
> > > Roughly how many packages does the move to 5.12 involve, and how many
> > > would need source uploads?
> > 
> > As of today, it looks like 458 binNMUs; there are no source uploads which
> > need to be coordinated that I am aware of.
> > 
> Ok, let's go ahead with this, if that's still your plan.  Sorry again
> for the delay.

Great! I'll be in a position to upload perl 5.12 to unstable on Sunday or
Monday, probably. How should the rebuilds be kicked off following that
upload? Should I just mention when uploaded on this bug and leave the rest
to you? We've been generating rebuild lists (there are 7 rounds in total)
so can give you these.

Cheers,
Dominic.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, perl@packages.debian.org:
Bug#619117; Package release.debian.org. (Fri, 29 Apr 2011 12:21:40 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, perl@packages.debian.org. (Fri, 29 Apr 2011 12:21:41 GMT) Full text and rfc822 format available.

Message #82 received at 619117@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Dominic Hargreaves <dom@earth.li>
Cc: 619117@bugs.debian.org
Subject: Re: Bug#619117: perl 5.12 transition
Date: Fri, 29 Apr 2011 14:20:29 +0200
On Fri, Apr 29, 2011 at 13:08:04 +0100, Dominic Hargreaves wrote:

> Great! I'll be in a position to upload perl 5.12 to unstable on Sunday or
> Monday, probably. How should the rebuilds be kicked off following that
> upload? Should I just mention when uploaded on this bug and leave the rest
> to you? We've been generating rebuild lists (there are 7 rounds in total)
> so can give you these.
> 
I started generating a list of packages that
1) depend or pre-depend on perlapi-5.10.*
2) are in sync between testing and sid (as a first step, to not block
   stuff that could still migrate on its own)

ATM that gives 4164 binNMUs for 392 source packages
(http://release.debian.org/~jcristau/perl5.12-binNMUs.txt).

I hadn't planned on making it multiple rounds, hoping that
BD-Uninstallable checks would sort it all out for me, but if you can
send me your lists and double check mine that would be great.

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, perl@packages.debian.org:
Bug#619117; Package release.debian.org. (Fri, 29 Apr 2011 12:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@dogguy.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, perl@packages.debian.org. (Fri, 29 Apr 2011 12:45:07 GMT) Full text and rfc822 format available.

Message #87 received at 619117@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@dogguy.org>
To: Julien Cristau <jcristau@debian.org>, 619117@bugs.debian.org
Cc: Dominic Hargreaves <dom@earth.li>
Subject: Re: Bug#619117: perl 5.12 transition
Date: Fri, 29 Apr 2011 14:42:34 +0200
On 29/04/2011 14:20, Julien Cristau wrote:
> On Fri, Apr 29, 2011 at 13:08:04 +0100, Dominic Hargreaves wrote:
> 
>> Great! I'll be in a position to upload perl 5.12 to unstable on Sunday or
>> Monday, probably. How should the rebuilds be kicked off following that
>> upload? Should I just mention when uploaded on this bug and leave the rest
>> to you? We've been generating rebuild lists (there are 7 rounds in total)
>> so can give you these.
>>
> I started generating a list of packages that
> 1) depend or pre-depend on perlapi-5.10.*
> 2) are in sync between testing and sid (as a first step, to not block
>    stuff that could still migrate on its own)
> 
> ATM that gives 4164 binNMUs for 392 source packages
> (http://release.debian.org/~jcristau/perl5.12-binNMUs.txt).
> 
> I hadn't planned on making it multiple rounds, hoping that
> BD-Uninstallable checks would sort it all out for me, but if you can
> send me your lists and double check mine that would be great.
> 

I've added a tracker at:

	http://release.debian.org/transitions/html/perl.html

Regards,

-- 
Mehdi Dogguy مهدي الدڤي
http://dogguy.org/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, perl@packages.debian.org:
Bug#619117; Package release.debian.org. (Fri, 29 Apr 2011 13:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, perl@packages.debian.org. (Fri, 29 Apr 2011 13:45:06 GMT) Full text and rfc822 format available.

Message #92 received at 619117@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Dominic Hargreaves <dom@earth.li>
Cc: 619117@bugs.debian.org
Subject: Re: Bug#619117: perl 5.12 transition
Date: Fri, 29 Apr 2011 15:40:56 +0200
On Fri, Apr 29, 2011 at 14:20:29 +0200, Julien Cristau wrote:

> I started generating a list of packages that
> 1) depend or pre-depend on perlapi-5.10.*
> 2) are in sync between testing and sid (as a first step, to not block
>    stuff that could still migrate on its own)
> 
> ATM that gives 4164 binNMUs for 392 source packages
> (http://release.debian.org/~jcristau/perl5.12-binNMUs.txt).
> 
OK, that list was wrong, I forgot to consider libperl5.10.
New list at the same URL.

If I disregard 2) above, this adds:
- apparmor (only in sid)
- claws-mail-extra-plugins (hint added, should migrate to testing tonight)
- elinks (2 days / 5)
- gbrowse (only in sid)
- genders (should migrate tonight)
- gpib (RC buggy, only in sid)
- highlight (5 days / 10)
- hyperestraier (FTBFS on mips)
- inn2 (RC bugs affecting alpha/hppa packages in sid, should be forced
  into testing)
- kvirc (blocked by libcrypto++)
- lasso (gcj ICE on kfreebsd-amd64)
- libb-hooks-op-annotation-perl (3 days / 10, depends on
  libextutils-depends-perl, 6 days / 10)
- libb-hooks-op-check-perl (6 days / 10)
- libconvert-binary-c-perl (5 days / 10)
- libdata-alias-perl (1 day / 10)
- libdatetime-perl (3 days / 10)
- libdbd-mysql-perl (1 day / 10)
- libdevel-cover-perl (9 days / 10)
- libdevel-declare-perl (5 days / 10)
- libdevel-refcount-perl (3 days / 10)
- libdevel-size-perl (7 days / 10)
- libgimp-perl (only in sid, RC buggy)
- libmoose-perl (5 days / 10, depends on libeval-closure-perl, 1 day /
  10)
- libparams-validate-perl (8 days / 10)
- libqt-perl (only in sid, RC buggy)
- libscalar-string-perl (9 days / 10)
- libsys-syslog-perl (only in sid, RC buggy)
- libtext-levenshteinxs-perl (0 days / 10)
- libtrue-perl (6 days / 10, depends on libb-hooks-op-check-perl)
- libxml-sax-expatxs-perl (7 days / 10)
- openbabel (6 days / 10, SONAME bump, FTBFS)
- opendchub (only in sid, RC buggy)
- openscap (2 days / 10)
- rxvt-unicode (RC buggy, depends on ncurses)
- slurm-llnl (RC buggy)
- xchat-gnome (3 days / 10)
- zbar (FTBFS on ia64)
- znc (FTBFS)

Your list also includes collectd (Recommends on libperl5.10), and misses
packages from contrib I think.

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, perl@packages.debian.org:
Bug#619117; Package release.debian.org. (Fri, 29 Apr 2011 23:09:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, perl@packages.debian.org. (Fri, 29 Apr 2011 23:09:08 GMT) Full text and rfc822 format available.

Message #97 received at 619117@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Dominic Hargreaves <dom@earth.li>
Cc: 619117@bugs.debian.org
Subject: Re: Bug#619117: perl 5.12 transition
Date: Sat, 30 Apr 2011 01:04:02 +0200
On Fri, Apr 29, 2011 at 15:40:56 +0200, Julien Cristau wrote:

> If I disregard 2) above, this adds:
> - claws-mail-extra-plugins (hint added, should migrate to testing tonight)
> - genders (should migrate tonight)
> - inn2 (RC bugs affecting alpha/hppa packages in sid, should be forced
>   into testing)
> - libdevel-cover-perl (9 days / 10)
> - libscalar-string-perl (9 days / 10)

Migrated.

> - elinks (2 days / 5)
> - highlight (5 days / 10)
> - libb-hooks-op-annotation-perl (3 days / 10, depends on
>   libextutils-depends-perl, 6 days / 10)
> - libb-hooks-op-check-perl (6 days / 10)
> - libconvert-binary-c-perl (5 days / 10)
> - libdata-alias-perl (1 day / 10)
> - libdatetime-perl (3 days / 10)
> - libdbd-mysql-perl (1 day / 10)
> - libdevel-declare-perl (5 days / 10)
> - libdevel-refcount-perl (3 days / 10)
> - libdevel-size-perl (7 days / 10)
> - libmoose-perl (5 days / 10, depends on libeval-closure-perl, 1 day /
>   10)
> - libparams-validate-perl (8 days / 10)
> - libtext-levenshteinxs-perl (0 days / 10)
> - libtrue-perl (6 days / 10, depends on libb-hooks-op-check-perl)
> - libxml-sax-expatxs-perl (7 days / 10)
> - openscap (2 days / 10)
> - xchat-gnome (3 days / 10)

I reduced the aging to 5 days for these, so they should be able to
migrate ahead of perl 5.12 if they don't get RC bugs in the mean time.

> - kvirc (blocked by libcrypto++)

This will hopefully be sorted over the week end.

> - apparmor (only in sid)
> - gbrowse (only in sid)
> - gpib (RC buggy, only in sid)
> - hyperestraier (FTBFS on mips)
> - libgimp-perl (only in sid, RC buggy)
> - libqt-perl (only in sid, RC buggy)
> - libsys-syslog-perl (only in sid, RC buggy)
> - opendchub (only in sid, RC buggy)

Shouldn't be an issue.

> - lasso (gcj ICE on kfreebsd-amd64)
> - openbabel (6 days / 10, SONAME bump, FTBFS)
> - rxvt-unicode (RC buggy, depends on ncurses)
> - slurm-llnl (RC buggy)
> - zbar (FTBFS on ia64)
> - znc (FTBFS)
> 
These are the problematic ones so far, besides possible FTBFS in the
rest of the 400 packages.

Cheers,
Julien




Added blocking bug(s) of 619117: 624597, 613780, and 620777 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Fri, 29 Apr 2011 23:39:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, perl@packages.debian.org:
Bug#619117; Package release.debian.org. (Sat, 30 Apr 2011 09:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, perl@packages.debian.org. (Sat, 30 Apr 2011 09:33:07 GMT) Full text and rfc822 format available.

Message #104 received at 619117@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: Julien Cristau <jcristau@debian.org>, 619117@bugs.debian.org
Subject: Re: Bug#619117: perl 5.12 transition
Date: Sat, 30 Apr 2011 10:30:57 +0100
On Sat, Apr 30, 2011 at 01:04:02AM +0200, Julien Cristau wrote:
> On Fri, Apr 29, 2011 at 15:40:56 +0200, Julien Cristau wrote:
> > - apparmor (only in sid)
> > - gbrowse (only in sid)
> > - gpib (RC buggy, only in sid)
> > - hyperestraier (FTBFS on mips)
> > - libgimp-perl (only in sid, RC buggy)
> > - libqt-perl (only in sid, RC buggy)
> > - libsys-syslog-perl (only in sid, RC buggy)
> > - opendchub (only in sid, RC buggy)
> 
> Shouldn't be an issue.
> 
> > - lasso (gcj ICE on kfreebsd-amd64)
> > - openbabel (6 days / 10, SONAME bump, FTBFS)
> > - rxvt-unicode (RC buggy, depends on ncurses)
> > - slurm-llnl (RC buggy)
> > - zbar (FTBFS on ia64)
> > - znc (FTBFS)
> > 
> These are the problematic ones so far, besides possible FTBFS in the
> rest of the 400 packages.

I've put my notes from rebuild tests at
<http://www.larted.org.uk/~dom/misc/perl-5.12.3-bin-failures.txt>

This adds

- courier #622014
- kildclient #623726
- libafs-perl #623924, #621999
- libclone-fast-perl (5.12 only) #615571
- libvideo-capture-v4l-perl #621466
- ming #623927
- net-snmp #617212
- perl-tk #613188
- znc #620777
- collectd #624255
- freeradius #623928
- libdevice-cdio-perl (5.12 only), #579450
- libgstreamer-perl #616454
- libsgml-parser-opensp-perl (maybe, can't always reproduce) #613199
- redhat-cluster #623930
- libembperl-perl #624578
- pidgin #621940
- libclutter-perl #620936

to the list of problems.

Should we block the transition bug with all those too?

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, perl@packages.debian.org:
Bug#619117; Package release.debian.org. (Sat, 30 Apr 2011 09:48:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, perl@packages.debian.org. (Sat, 30 Apr 2011 09:48:17 GMT) Full text and rfc822 format available.

Message #109 received at 619117@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Dominic Hargreaves <dom@earth.li>
Cc: 619117@bugs.debian.org
Subject: Re: Bug#619117: perl 5.12 transition
Date: Sat, 30 Apr 2011 11:45:03 +0200
On Sat, Apr 30, 2011 at 10:30:57 +0100, Dominic Hargreaves wrote:

> I've put my notes from rebuild tests at
> <http://www.larted.org.uk/~dom/misc/perl-5.12.3-bin-failures.txt>
> 
> This adds
> 
> - courier #622014
> - kildclient #623726
> - libafs-perl #623924, #621999
> - libclone-fast-perl (5.12 only) #615571
> - libvideo-capture-v4l-perl #621466
> - ming #623927
> - net-snmp #617212
> - perl-tk #613188
> - znc #620777
> - collectd #624255
> - freeradius #623928
> - libdevice-cdio-perl (5.12 only), #579450
> - libgstreamer-perl #616454
> - libsgml-parser-opensp-perl (maybe, can't always reproduce) #613199
> - redhat-cluster #623930
> - libembperl-perl #624578
> - pidgin #621940
> - libclutter-perl #620936
> 
> to the list of problems.
> 
Thanks.

> Should we block the transition bug with all those too?
> 
Yes please.  Also make sure they're all at RC severity.

Cheers,
Julien




Added blocking bug(s) of 619117: 555000, 623924, 613188, 620936, 621999, 623929, 621078, 579450, 615571, 616454, 623928, 623726, 623930, 622014, 621940, 621466, 624578, 623927, 624255, 553387, 617212, and 606006 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Sat, 30 Apr 2011 17:36:03 GMT) Full text and rfc822 format available.

Removed blocking bug(s) of 619117: 623930 and 621078 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Sat, 30 Apr 2011 19:57:09 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 619117: 623930 and 621078 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Sat, 30 Apr 2011 20:03:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, perl@packages.debian.org:
Bug#619117; Package release.debian.org. (Sat, 30 Apr 2011 20:54:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, perl@packages.debian.org. (Sat, 30 Apr 2011 20:54:02 GMT) Full text and rfc822 format available.

Message #120 received at 619117@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: Julien Cristau <jcristau@debian.org>, 619117@bugs.debian.org
Subject: Re: Bug#619117: perl 5.12 transition
Date: Sat, 30 Apr 2011 21:51:49 +0100
On Fri, Apr 29, 2011 at 02:20:29PM +0200, Julien Cristau wrote:

> ATM that gives 4164 binNMUs for 392 source packages
> (http://release.debian.org/~jcristau/perl5.12-binNMUs.txt).
> 
> I hadn't planned on making it multiple rounds, hoping that
> BD-Uninstallable checks would sort it all out for me, but if you can
> send me your lists and double check mine that would be great.

[and you subsequently mentioned
<http://release.debian.org/~jcristau/perl5.12-binNMUs-source-all.txt>
on IRC].

I don't think perl itself should be in that list, but other than that,
it looks good.

Thanks,
Dominic.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, perl@packages.debian.org:
Bug#619117; Package release.debian.org. (Sat, 30 Apr 2011 21:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, perl@packages.debian.org. (Sat, 30 Apr 2011 21:39:03 GMT) Full text and rfc822 format available.

Message #125 received at 619117@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: Julien Cristau <jcristau@debian.org>, 619117@bugs.debian.org
Subject: Re: Bug#619117: perl 5.12 transition
Date: Sat, 30 Apr 2011 22:36:27 +0100
On Sat, Apr 30, 2011 at 09:51:49PM +0100, Dominic Hargreaves wrote:
> On Fri, Apr 29, 2011 at 02:20:29PM +0200, Julien Cristau wrote:
> 
> > ATM that gives 4164 binNMUs for 392 source packages
> > (http://release.debian.org/~jcristau/perl5.12-binNMUs.txt).
> > 
> > I hadn't planned on making it multiple rounds, hoping that
> > BD-Uninstallable checks would sort it all out for me, but if you can
> > send me your lists and double check mine that would be great.
> 
> [and you subsequently mentioned
> <http://release.debian.org/~jcristau/perl5.12-binNMUs-source-all.txt>
> on IRC].
> 
> I don't think perl itself should be in that list, but other than that,
> it looks good.

Oh, sorry, I forgot to mention: collectd only recommends perlapi-5.10,
presumably because the perl bindings are an optional plugin, but it
will need rebuilding.

Dominic.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, perl@packages.debian.org:
Bug#619117; Package release.debian.org. (Sun, 01 May 2011 09:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, perl@packages.debian.org. (Sun, 01 May 2011 09:51:07 GMT) Full text and rfc822 format available.

Message #130 received at 619117@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Dominic Hargreaves <dom@earth.li>
Cc: 619117@bugs.debian.org
Subject: Re: Bug#619117: perl 5.12 transition
Date: Sun, 1 May 2011 11:46:14 +0200
On Sat, Apr 30, 2011 at 22:36:27 +0100, Dominic Hargreaves wrote:

> On Sat, Apr 30, 2011 at 09:51:49PM +0100, Dominic Hargreaves wrote:
> > On Fri, Apr 29, 2011 at 02:20:29PM +0200, Julien Cristau wrote:
> > 
> > > ATM that gives 4164 binNMUs for 392 source packages
> > > (http://release.debian.org/~jcristau/perl5.12-binNMUs.txt).
> > > 
> > > I hadn't planned on making it multiple rounds, hoping that
> > > BD-Uninstallable checks would sort it all out for me, but if you can
> > > send me your lists and double check mine that would be great.
> > 
> > [and you subsequently mentioned
> > <http://release.debian.org/~jcristau/perl5.12-binNMUs-source-all.txt>
> > on IRC].
> > 
> > I don't think perl itself should be in that list, but other than that,
> > it looks good.
> 
Right.

> Oh, sorry, I forgot to mention: collectd only recommends perlapi-5.10,
> presumably because the perl bindings are an optional plugin, but it
> will need rebuilding.
> 
Yup, figured that one out when comparing to your list.  Thanks.

Cheers,
Julien




Added blocking bug(s) of 619117: 624767 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Sun, 01 May 2011 13:57:07 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 619117: 624777 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Sun, 01 May 2011 15:30:06 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 619117: 624787 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Sun, 01 May 2011 16:21:06 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 619117: 624811 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Sun, 01 May 2011 18:54:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, perl@packages.debian.org:
Bug#619117; Package release.debian.org. (Sun, 01 May 2011 21:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, perl@packages.debian.org. (Sun, 01 May 2011 21:18:04 GMT) Full text and rfc822 format available.

Message #143 received at 619117@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: Julien Cristau <jcristau@debian.org>, 619117@bugs.debian.org
Subject: Re: Bug#619117: perl 5.12 transition
Date: Sun, 1 May 2011 22:13:40 +0100
On Sun, May 01, 2011 at 11:46:14AM +0200, Julien Cristau wrote:
> On Sat, Apr 30, 2011 at 22:36:27 +0100, Dominic Hargreaves wrote:

> > > I don't think perl itself should be in that list, but other than that,
> > > it looks good.
> > 
> Right.

perl 5.12.3-6 has now been uploaded to unstable.

Let me know of any issues.

Thanks,
Dominic.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Added blocking bug(s) of 619117: 533934 and 539028 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Mon, 02 May 2011 11:15:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, perl@packages.debian.org:
Bug#619117; Package release.debian.org. (Tue, 03 May 2011 04:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, perl@packages.debian.org. (Tue, 03 May 2011 04:18:03 GMT) Full text and rfc822 format available.

Message #150 received at 619117@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Dominic Hargreaves <dom@earth.li>
Cc: 619117@bugs.debian.org, Julien Cristau <jcristau@debian.org>
Subject: Re: Bug#619117: perl 5.12 transition
Date: Mon, 02 May 2011 21:14:57 -0700
Dominic Hargreaves <dom@earth.li> writes:

> This adds

> - libafs-perl #623924, #621999

#623924 is easy to fix, but #621999 turns out to be a huge mess that's
going to take significant work in OpenAFS to fix.  Apart from a few
changes to the interfaces that the AFS Perl module uses, the AFS Perl
module was mixing libraries built with two entirely different threading
models, which no longer works.

Briefly, Perl cannot use LWP libraries since LWP conflicts with Perl's
built-in pthread support, so it has to use the pthreaded version, but
there's no pthreaded libvolser.  Previously libvolser had no direct
references to the threading implementation so this worked by accident, but
that's changed upstream.

The short version is that this isn't going to be fixed soon.  Julien,
please feel free to just remove libafs-perl from testing so that it
doesn't block any other transition (or tell me if I should file a separate
bug against release.debian.org to handle that).

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Added indication that bug 619117 blocks 625304 Request was from Etienne Millon <etienne.millon@gmail.com> to control@bugs.debian.org. (Tue, 03 May 2011 11:54:35 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, perl@packages.debian.org:
Bug#619117; Package release.debian.org. (Thu, 05 May 2011 09:54:50 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, perl@packages.debian.org. (Thu, 05 May 2011 09:54:53 GMT) Full text and rfc822 format available.

Message #157 received at 619117@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: Julien Cristau <jcristau@debian.org>, 619117@bugs.debian.org
Subject: Re: Bug#619117: perl 5.12 transition
Date: Thu, 5 May 2011 10:53:10 +0100
On Sun, May 01, 2011 at 10:13:40PM +0100, Dominic Hargreaves wrote:
> On Sun, May 01, 2011 at 11:46:14AM +0200, Julien Cristau wrote:
> > On Sat, Apr 30, 2011 at 22:36:27 +0100, Dominic Hargreaves wrote:
> 
> > > > I don't think perl itself should be in that list, but other than that,
> > > > it looks good.
> > > 
> > Right.
> 
> perl 5.12.3-6 has now been uploaded to unstable.

Thanks for your work in getting packages rebuilt so far. I had a
look at <http://release.debian.org/transitions/html/perl.html> and
noticed that while things are mostly doing quite well, it looks like
a few key packages may not have been binNMUd yet, in some cases
because new uploads occurred in the last few days:

apparmor
exactimage
libcrypt-openssl-x509-perl
libdata-alias-perl
libmath-random-perl (in non-free)
libogre-perl
liboping
libsys-syslog-perl
libtext-levenshteinxs-perl
libvideo-capture-v4l-perl
opendchub
hyperestraier
libcairo-perl (this is blocking quite a few packages in later rounds)
libdbd-mysql-perl
libmoose-perl
libverilog-perl
gbrowse
gdal
slurm-llnl

Would it be possible to schedule these at some point? I think we'll
then be in a good position to see what is broken due to FTBFS, etc.

Cheers,
Dominic.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, perl@packages.debian.org:
Bug#619117; Package release.debian.org. (Thu, 05 May 2011 10:03:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, perl@packages.debian.org. (Thu, 05 May 2011 10:03:18 GMT) Full text and rfc822 format available.

Message #162 received at 619117@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: Julien Cristau <jcristau@debian.org>, 619117@bugs.debian.org
Subject: Re: Bug#619117: perl 5.12 transition
Date: Thu, 5 May 2011 11:02:16 +0100
On Thu, May 05, 2011 at 10:53:10AM +0100, Dominic Hargreaves wrote:
> On Sun, May 01, 2011 at 10:13:40PM +0100, Dominic Hargreaves wrote:
> > On Sun, May 01, 2011 at 11:46:14AM +0200, Julien Cristau wrote:
> > > On Sat, Apr 30, 2011 at 22:36:27 +0100, Dominic Hargreaves wrote:
> > 
> > > > > I don't think perl itself should be in that list, but other than that,
> > > > > it looks good.
> > > > 
> > > Right.
> > 
> > perl 5.12.3-6 has now been uploaded to unstable.
> 
> Thanks for your work in getting packages rebuilt so far. I had a
> look at <http://release.debian.org/transitions/html/perl.html> and
> noticed that while things are mostly doing quite well, it looks like
> a few key packages may not have been binNMUd yet, in some cases
> because new uploads occurred in the last few days:
> 
> apparmor
> exactimage
> libcrypt-openssl-x509-perl
> libdata-alias-perl
> libmath-random-perl (in non-free)
> libogre-perl
> liboping
> libsys-syslog-perl
> libtext-levenshteinxs-perl
> libvideo-capture-v4l-perl
> opendchub
> hyperestraier
> libcairo-perl (this is blocking quite a few packages in later rounds)
> libdbd-mysql-perl
> libmoose-perl
> libverilog-perl
> gbrowse
> gdal
> slurm-llnl
> 
> Would it be possible to schedule these at some point? I think we'll
> then be in a good position to see what is broken due to FTBFS, etc.

Actually, I suspect I'm jumping the gun here; perhaps these are packages
out of sync between unstable, testing, in the main. Sorry about that
(I see you're already on the case for libcairo-perl).

Sorry for the noise :)

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Added blocking bug(s) of 619117: 613199 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Thu, 05 May 2011 10:45:19 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 619117: 625695 Request was from Niko Tyni <ntyni@debian.org> to control@bugs.debian.org. (Thu, 05 May 2011 11:06:23 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, perl@packages.debian.org:
Bug#619117; Package release.debian.org. (Fri, 06 May 2011 19:30:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, perl@packages.debian.org. (Fri, 06 May 2011 19:30:07 GMT) Full text and rfc822 format available.

Message #171 received at 619117@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Dominic Hargreaves <dom@earth.li>, 619117@bugs.debian.org
Subject: Re: Bug#619117: perl 5.12 transition
Date: Fri, 6 May 2011 21:27:36 +0200
Hi Dominic,

Thanks for your list, I've gone through it, scheduled some binNMUs, and
added a few hints for britney to make some of the packages migrate
before rebuilding them, hopefully on the next run.  Note that that part
is stuck on testing's Packages file for mips getting unb0rked by
ftpmasters, as britney can't run until then.

On Thu, May  5, 2011 at 10:53:10 +0100, Dominic Hargreaves wrote:

> apparmor

binnmus scheduled

> exactimage

urgent hint added

> libcrypt-openssl-x509-perl

urgent hint added

> libdata-alias-perl

binnmus scheduled

> libmath-random-perl (in non-free)

Not whitelisted on the buildds.  Needs a RC bug.  Removal candidate.

> libogre-perl

Added the missing wheezy tag to #613187.  Still BD-Uninstallable on
armel though (missing libogre-dev because of #613924), so removal
candidate.

> liboping

#618729

> libsys-syslog-perl

Not in testing because of #603251 (which still applies to alpha and
hppa).  binnmus scheduled.

> libtext-levenshteinxs-perl

binnmus scheduled

> libvideo-capture-v4l-perl

urgent hint added

> opendchub

#616052.  meh.

> hyperestraier

FTBFS on mips.

> libcairo-perl (this is blocking quite a few packages in later rounds)

force hint added by Adam.

> libdbd-mysql-perl

binnmus scheduled.

> libmoose-perl

hint added.

> libverilog-perl

FTBFS on mipsen (#599953, #599963).  Removal candidate.

> gbrowse

binnmus scheduled.

> gdal

urgent hint added.

> slurm-llnl
> 
easy hint added.

Cheers,
Julien




Added blocking bug(s) of 619117: 625908 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Fri, 06 May 2011 20:18:05 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 619117: 618729 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Fri, 06 May 2011 20:33:09 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 619117: 616052 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Fri, 06 May 2011 20:33:10 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 619117: 599953 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Fri, 06 May 2011 20:33:11 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 619117: 599963 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Fri, 06 May 2011 20:33:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, perl@packages.debian.org:
Bug#619117; Package release.debian.org. (Fri, 06 May 2011 22:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, perl@packages.debian.org. (Fri, 06 May 2011 22:45:03 GMT) Full text and rfc822 format available.

Message #186 received at 619117@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Dominic Hargreaves <dom@earth.li>, 619117@bugs.debian.org
Subject: Re: Bug#619117: perl 5.12 transition
Date: Sat, 7 May 2011 00:41:29 +0200
On Fri, May  6, 2011 at 21:27:36 +0200, Julien Cristau wrote:

> On Thu, May  5, 2011 at 10:53:10 +0100, Dominic Hargreaves wrote:
> 
> > exactimage
> 
> urgent hint added
> 
> > libcrypt-openssl-x509-perl
> 
> urgent hint added
> 
> > libvideo-capture-v4l-perl
> 
> urgent hint added
> 
> > libcairo-perl (this is blocking quite a few packages in later rounds)
> 
> force hint added by Adam.
> 
> > gdal
> 
> urgent hint added.
> 
> > slurm-llnl
> > 
> easy hint added.
> 
binnmus now scheduled for the above (migrated).

> > libmoose-perl
> 
> hint added.
> 
migrating this one breaks kgb-bot, libmoosex-poe-perl,
libpoe-component-client-mpd-perl,
libpoe-component-server-simplehttp-perl,
libpoe-component-server-soap-perl.  libmoose-perl has an insane list of
Breaks.  binnmus scheduled.

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, perl@packages.debian.org:
Bug#619117; Package release.debian.org. (Sat, 07 May 2011 07:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, perl@packages.debian.org. (Sat, 07 May 2011 07:42:03 GMT) Full text and rfc822 format available.

Message #191 received at 619117@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: Julien Cristau <jcristau@debian.org>, 619117@bugs.debian.org
Cc: Dominic Hargreaves <dom@earth.li>
Subject: Re: Bug#619117: perl 5.12 transition
Date: Sat, 7 May 2011 09:33:16 +0200
[Message part 1 (text/plain, inline)]
Hi Julien, Dominic

Could you also reschedule binNMU for perl-tk? See [1].

http://bugs.debian.org/625802

On some architectures the NMU was still build against Perl 5.10
instead of 5.12.

Bests
Salvatore
[signature.asc (application/pgp-signature, inline)]

Added blocking bug(s) of 619117: 626019 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Sun, 08 May 2011 17:51:06 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 619117: 625828 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Sun, 08 May 2011 17:51:08 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 619117: 625840 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Sun, 08 May 2011 17:51:09 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 619117: 613924 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Sun, 08 May 2011 17:51:10 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 619117: 625985 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Sun, 08 May 2011 17:51:11 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 619117: 625961 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Sun, 08 May 2011 17:51:13 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 619117: 626046 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Sun, 08 May 2011 17:51:14 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 619117: 626047 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Sun, 08 May 2011 17:51:16 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 619117: 625161 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Sun, 08 May 2011 17:51:17 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 619117: 624810 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Sun, 08 May 2011 17:51:18 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 619117: 625963 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Sun, 08 May 2011 17:51:20 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 619117: 599982 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Sun, 08 May 2011 17:51:21 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 619117: 626051 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Sun, 08 May 2011 17:51:22 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 619117: 626054 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Sun, 08 May 2011 17:51:24 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 619117: 626071 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Sun, 08 May 2011 17:51:25 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 619117: 625863 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Sun, 08 May 2011 17:51:38 GMT) Full text and rfc822 format available.

Removed blocking bug(s) of 619117: 626051 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Tue, 10 May 2011 21:03:06 GMT) Full text and rfc822 format available.

Removed blocking bug(s) of 619117: 625828 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Tue, 10 May 2011 21:06:09 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 619117: 626332 and 626333 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Wed, 11 May 2011 01:09:02 GMT) Full text and rfc822 format available.

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Fri, 13 May 2011 22:51:04 GMT) Full text and rfc822 format available.

Notification sent to Julien Cristau <jcristau@debian.org>:
Bug acknowledged by developer. (Fri, 13 May 2011 22:51:04 GMT) Full text and rfc822 format available.

Message #234 received at 619117-done@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Dominic Hargreaves <dom@earth.li>
Cc: 619117-done@bugs.debian.org, perl@packages.debian.org
Subject: Re: perl 5.12/5.14 transition plans
Date: Sat, 14 May 2011 00:46:54 +0200
On Wed, Feb 23, 2011 at 19:40:26 +0000, Dominic Hargreaves wrote:

> Dear Release team,
> 
> I would like to register an interest in carrying out a perl transition
> soon. This would be to perl 5.10.1 to 5.12.x (x = 3 currently). This
> transition has already been in preparation for some time, and I think
> we are in a good position to schedule this now. This is the first major
> transition I've been involved in (I've recently become a co-maintainer
> of the perl package), so please bear with me if I miss anything out.
> You can see the transition tracking bugs at [1].
> 
      perl |   5.12.3-6 |       testing | source, amd64, armel, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc

One casualty (besides the removed packages to make some space in
testing) is libsvn-perl and its reverse dependencies on kfreebsd, which
are now uninstallable.

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, perl@packages.debian.org:
Bug#619117; Package release.debian.org. (Sat, 14 May 2011 06:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, perl@packages.debian.org. (Sat, 14 May 2011 06:33:06 GMT) Full text and rfc822 format available.

Message #239 received at 619117@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: 619117@bugs.debian.org, perl@packages.debian.org
Subject: Re: perl 5.12/5.14 transition plans
Date: Sat, 14 May 2011 09:29:13 +0300
On Sat, May 14, 2011 at 12:46:54AM +0200, Julien Cristau wrote:

>       perl |   5.12.3-6 |       testing | source, amd64, armel, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc

Many thanks Julien and everybody else involved!
-- 
Niko Tyni   ntyni@debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, perl@packages.debian.org:
Bug#619117; Package release.debian.org. (Sat, 14 May 2011 20:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, perl@packages.debian.org. (Sat, 14 May 2011 20:45:02 GMT) Full text and rfc822 format available.

Message #244 received at 619117@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: 619117@bugs.debian.org
Subject: Re: Bug#619117: perl 5.12/5.14 transition plans
Date: Sat, 14 May 2011 21:41:35 +0100
On Sat, May 14, 2011 at 09:29:13AM +0300, Niko Tyni wrote:
> On Sat, May 14, 2011 at 12:46:54AM +0200, Julien Cristau wrote:
> 
> >       perl |   5.12.3-6 |       testing | source, amd64, armel, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
> 
> Many thanks Julien and everybody else involved!

I'd like to echo my thanks to Julien and the whole release team for such
a smooth transition.

Best wishes,
Dominic.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 12 Jun 2011 07:34:14 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 20:27:55 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.